Apt-get “Sorunları düzeltilemedi, bozuk paketler tuttunuz.” [duplicate]

18
  

TL; DR: sudo apt-get install ... "Sorunları düzeltilemiyor, bozuk paketler tuttunuz."

Sorun

PP ve QQ için WebApps özelliğini bu blog gönderisi .

Depoyu eklemek için sudo add-apt-repository ppa:webapps/preview komutunu çalıştırdım, ancak bir bağlantı hatası aldım. Biliyorum ki mevcut ISS'm titrek bir bağlantı veriyor, tekrar denedim ve eminim, işe yaradı.

Sonra sudo apt-get install unity-webapps-preview koştum, ancak önce apt-get 'yi güncellememiz gerektiğini farkettim, bu yüzden durdurmak için Ctrl + C tuşlarına basarım. Daha sonra, sudo apt-get update çalıştım ve bu bir yaygara çalıştı, ancak daha sonra sudo apt-get install unity-webapps-preview daha çalıştırdığımda, bir hata mesajı gösterdi. İşte çöplük:

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 unity-webapps-preview : Depends: xul-ext-unity but it is not going to be installed
                         Depends: xul-ext-websites-integration but it is not going to be installed
                         Depends: xul-ext-webaccounts but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

Bunun benden önceki komuta müdahale etmemden kaynaklandığını düşünüyorum. Bir şey çıkarması için bir şansı yoktu, ama - oldukça hızlı durdum.

Ne denedim

Komutlar

Bunları denedim: -

  • sudo apt-get install --fix-broken
  • sudo apt-get autoclean
  • sudo apt-get autoremove
  • sudo apt-get -f install

Ancak, her denemeden sonra sudo apt-get upgrade çalıştırdıktan sonra bile hiçbiri işe yaramadı.

Arındırma

Deposu temizlemeyi denedim, ama bu da işe yaramadı. İlk olarak, sudo apt-get install ppa-purge and then tried to purge the WebApps repo using sudo ppa-purge ppa: webapps / preview 'kullanarak paketi aldım.

Bağımlılıkları el ile yükleme

Hata dökümü dikkatlice bakarsanız, diyor:

  

Bağlıdır: xul-ext-birlik ama kurulmayacak   Bağımlıdır: xul-ext-web siteleri-entegrasyon ama yüklü olmayacak   Bağımlıdır: xul-ext-webaccounts ama yüklenmeyecek

Bu yüzden onları manuel olarak yüklemeyi denedim. % Co_de% koştum, ama şunu aldım:

  

Bağımlıdır: xul-ext-web siteleri-entegrasyonu ancak yüklenmeyecek   Kesmeler: firefox (& gt; = 15 +) ancak 16.0 ~ b6 + build1-0ubuntu0.12.04.1 ~ mfn4 yüklenecek

İkinci bölümün ne anlama geldiğini bilmiyorum ama ilkini çözmeyi denedim. % Co_de% dosyası çalıştı:

  

xul-ext-web siteleri-entegrasyonu: Breaks: firefox (& gt; = 15 +) ancak 16.0 ~ b6 + build1-0ubuntu0.12.04.1 ~ mfn4 yüklenecek

Son çare olarak, sudo apt-get install xul-ext-unity denedim, ancak bu da aklı başında mesaj verdi:

  

Sonlar: firefox (& gt; = 14. +) ancak 16.0 ~ b6 + build1-0ubuntu0.12.04.1 ~ mfn4 yüklenecek

sudo apt-get install xul-ext-websites-integration ne demektir?

Araştırma

forum , bu soruya ve AU'ya göre arama yapmak, ancak boşuna. Yardım mutluluk duyacaktır.

    
sordu Yatharth Agarwal 06.10.2012 16:39

1 cevap

4

sudo apt-get -f install komutunu deneyin

    
verilen cevap Vikramjeet 06.10.2012 17:03

Etiketlerdeki diğer soruları oku